OpenIsle Docs
API 概览
List categories GET Create category POST
Api
Categories

# Create category

Create a new category

POST
/`api`/`categories`

## Authorization

AuthorizationBearer <token>

In: `header`

## Request Body

name?string
description?string
icon?string
smallIcon?string

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/categories" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "name": "string",
      "description": "string",
      "icon": "string",
      "smallIcon": "string",
      "count": 0
    }

List categories GET

Previous Page

Delete category DELETE

Next Page

    curl -X POST "https://www.open-isle.com/api/categories" \
      -H "Content-Type: application/json" \
      -d '{}'